# Note that this is NOT a relocatable package
Summary: The Enlightenment window manager.
Name: enlightenment
Version: 0.16.4
Release: 11
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://ftp.enlightenment.org/pub/enlightenment/enlightenment-%{version}.tar.bz2
Patch0: enlightenment-0.16.4-gcc296.patch
Patch1: enlightenment-0.16.4-nochown.patch
BuildRoot: %{_tmppath}/enlightenment-root
URL: http://www.enlightenment.org
Requires: imlib >= 1.9.8
Requires: fnlib >= 0.5
Requires: freetype >= 1.1
Requires: esound >= 0.2.13
BuildRequires: fnlib-devel
BuildRequires: imlib-devel
BuildRequires: freetype-devel

Source1: Ganymede.etheme
%description
Enlightenment is a window manager for the X Window System that
is designed to be powerful, extensible, configurable and
pretty darned good looking! It is one of the more graphically
intense window managers.

Enlightenment goes beyond managing windows by providing a useful
and appealing graphical shell from which to work. It is open
in design and instead of dictating a policy, allows the user to 
define their own policy, down to every last detail.

This package will install the Enlightenment window manager.

%prep

%setup -q
%patch0 -p1 -b .gcc296
%patch1 -p1 -b .nochown
cp -f %{SOURCE1} src/themes


%build
export CPPFLAGS=-I/usr/include/freetype1
%configure --enable-fsstd --enable-upgrade=no
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall escriptsdatadir=$RPM_BUILD_ROOT/%{_bindir}

# fix permission
chmod 755 $RPM_BUILD_ROOT%{_datadir}/enlightenment/themes/Ganymede/slideouts/images/{GREEN,BLUE,RED} \
          $RPM_BUILD_ROOT%{_datadir}/enlightenment/themes/Ganymede/slideouts/images/rotated/BLUE

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_prefix}/share/enlightenment/*
%{_prefix}/bin/*
%{_mandir}/man1/*

%doc AUTHORS COPYING INSTALL README FAQ TODO

%changelog
* Mon Jul 23 2001 Jonathan Blandford <jrb@redhat.com>
- Add BuildRequires

* Sun Jul 15 2001 Karsten Hopp <karsten@redhat.de>
- fix includepath for freetype.h

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- rebuilt so that we aren't setting things sgid root
- removed empty post and posun sections
- don't chown to root in the Makefile, let rpm handle file ownership
- quiet setup

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Mar 23 2001 Bill Nottingham <notting@redhat.com>
- bzip2 sources

* Wed Aug 16 2000 Than Ngo <than@redhat.com>
- fix permission problem (Bug #16113)

* Thu Jul 20 2000 Jonathan Blandford <jrb@redhat.com>
- Removed backup file from Ganymede theme

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- fixed install section to use RPM_BUILD_ROOT for escriptsdatadir
- use %%{_mandir}

* Thu Jun 29 2000 Dave Mason <dcm@redhat.com>
- cleaned up spec file to rpm guidelines

* Wed Jun 14 2000 Matt Wilson <msw@redhat.com>
- dont use #pragma 2 on alpha with gcc >= 2.96 (patch0)
- FHS directory layout
